Home Forums Themes Organiz Organiz PHP 7 Compatibility Issues

Organiz PHP 7 Compatibility Issues

  • Author
    Posts
  • #140445

    stefan
    Participant

    I am getting PHP 7 issues with the Organiz Frame for and Theme.

    See below:

    FILE: /home/moment92/public_html/wp-content/themes/g5-organiz/woocommerce/single-product/related.php
    ———————————————————————————————————–
    FOUND 1 ERROR AFFECTING 1 LINE
    ———————————————————————————————————–
    44 | ERROR | Using a call-time pass-by-reference is deprecated since PHP 5.3 and prohibited since PHP 5.4
    ———————————————————————————————————–

    FILE: /home/moment92/public_html/wp-content/themes/g5-organiz/woocommerce/single-product/up-sells.php
    ———————————————————————————————————–
    FOUND 1 ERROR AFFECTING 1 LINE
    ———————————————————————————————————–
    50 | ERROR | Using a call-time pass-by-reference is deprecated since PHP 5.3 and prohibited since PHP 5.4
    ———————————————————————————————————–

    FILE: /home/moment92/public_html/wp-content/themes/g5-organiz/woocommerce/cart/cross-sells.php
    ———————————————————————————————————–
    FOUND 1 ERROR AFFECTING 1 LINE
    ———————————————————————————————————–
    43 | ERROR | Using a call-time pass-by-reference is deprecated since PHP 5.3 and prohibited since PHP 5.4
    ———————————————————————————————————–

    FILE: /home/moment92/public_html/wp-content/themes/g5-organiz/templates/single/related.php
    ———————————————————————————————————–
    FOUND 1 ERROR AFFECTING 1 LINE
    ———————————————————————————————————–
    69 | ERROR | Using a call-time pass-by-reference is deprecated since PHP 5.3 and prohibited since PHP 5.4
    ———————————————————————————————————–

    FILE: /home/moment92/public_html/wp-content/plugins/organiz-framework/core/theme-options/inc/validation/preg_replace/validation_preg_replace.php
    ————————————————————————————————————————————————
    FOUND 1 ERROR AFFECTING 1 LINE
    ————————————————————————————————————————————————
    30 | ERROR | preg_replace() – /e modifier is deprecated since PHP 5.5 and removed since PHP 7.0
    ————————————————————————————————————————————————

    FILE: /home/moment92/public_html/wp-content/plugins/organiz-framework/core/theme-options/inc/browser.php
    ——————————————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ——————————————————————————————————–
    113 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ——————————————————————————————————–

    FILE: /home/moment92/public_html/wp-content/plugins/organiz-framework/core/less/Less.php
    ———————————————————————————————
    FOUND 3 ERRORS AND 1 WARNING AFFECTING 2 LINES
    ———————————————————————————————
    91 | WARNING | INI directive ‘mbstring.internal_encoding’ is deprecated since PHP 5.6.
    9992 | ERROR | Bitwise shifts by negative number will throw an ArithmeticError in PHP 7.0
    9992 | ERROR | Bitwise shifts by negative number will throw an ArithmeticError in PHP 7.0
    9992 | ERROR | Bitwise shifts by negative number will throw an ArithmeticError in PHP 7.0
    ———————————————————————————————

Cannot reply in this topic, If you have any issue, please create new topic